Inquiry PLN

API to check whether PLN Prepaid Subscriber is valid or invalid.

Path

MethodPath
POSTapi/inquiry-pln

Test Case

Use below test case in development environment only.

customer_idResponse Message
12345678901SUCCESS
Other than 12345678901INCORRECT DESTINATION NUMBER

Request Body

AttributesTypeDescriptionMandatory
usernameStringYour registered phone numberYes
customer_idStringCustomer IDYes
signStringSignature. Value: md5(username+api_key+customer_id)Yes
{
  "username"    : "123123123",
  "customer_id" : "12345678901",
  "sign"        : "6c4bbf2365e7e40423a76b713e3a5f0b"
}
<?xml version="1.0"?>
<mp>
  <username>123123123</username>
  <customer_id>12345678901</customer_id>
  <sign>6c4bbf2365e7e40423a76b713e3a5f0b</sign>
</mp>

Response

AttributesTypeDescriptionMandatory
statusStringTransaction Status. List of status:
1:SUCCESS 2:FAILED
Yes
customer_idStringCustomer IDYes
meter_noStringMeter NumberYes
subscriber_idStringCustomer ID informationYes
nameStringCustomer nameYes
segment_powerStringSegment PowerYes
messageStringMessageYes
rcStringResponse code. See response code listYes
{
  "data": {
    "status": "1",
    "customer_id": "12345678901",
    "meter_no": "548933889287",
    "subscriber_id": "12345678901",
    "name": "Sintya Oktaviani",
    "segment_power": "R1 \/000001300",
    "message": "SUCCESS",
    "rc": "00"
  }
}
<?xml version="1.0"?>
<mp>
  <status>1</status>
  <customer_id>12345678901</customer_id>
  <meter_no>548933889287</meter_no>
  <subscriber_id>12345678901</subscriber_id>
  <name>Sintya Oktaviani</name>
  <segment_power>R1 /000001300</segment_power>
  <message>SUCCESS</message>
  <rc>00</rc>
</mp>

Live Testing

Request URL
https://prepaid.iak.dev/api/inquiry-pln
Request Method
Request Header
Content-Type: application/json
Body
Result